Summary:        Wayland utilities
Name:           wayland-utils
Version:        1.2.0
Release:        %mkrel 2
Group:          System/Libraries
License:        MIT
URL:            https://wayland.freedesktop.org/
Source0:        https://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(wayland-client) >= 1.20
BuildRequires:  pkgconfig(wayland-protocols) >= 1.24
BuildRequires:  pkgconfig(wayland-scanner)

%description
wayland-utils contains wayland-info, a standalone version of weston-info,
a utility for displaying information about the Wayland protocols supported
by the Wayland compositor.
wayland-info also provides additional information for a subset of Wayland
protocols it knows about, namely Linux DMABUF, presentation time, tablet and
XDG output protocols.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/wayland-info
%{_mandir}/man1/wayland-info.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.0-2.mga10
+ Revision: 2219058
- Mageia 10 Mass Rebuild

* Wed Oct 11 2023 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 1994711
- initial package wayland-utils (mga#32374)

